> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit



## OpenAPI

````yaml /openapi.json post /v1/collaborations/{collabId}/presentation/review/submit
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/collaborations/{collabId}/presentation/review/submit:
    post:
      tags:
        - Client Presentation Guest
      summary: Submit
      operationId: ClientPresentationGuestController_submit_v1
      parameters:
        - name: collabId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubmitPresentationReviewDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GuestReviewDto'
components:
  schemas:
    SubmitPresentationReviewDto:
      type: object
      properties:
        versionN:
          type: integer
          minimum: 1
          maximum: 1000000
      required:
        - versionN
      additionalProperties: false
    GuestReviewDto:
      type: object
      properties:
        revision:
          type:
            - number
            - 'null'
        source:
          type:
            - string
            - 'null'
          enum:
            - offline
            - portal
            - null
        offline:
          type: object
          properties:
            attestorId:
              type: string
            responseDate:
              type: string
            note:
              type:
                - string
                - 'null'
            recordedAt:
              type: string
            evidence:
              type: object
              properties:
                name:
                  type: string
                bytes:
                  type: number
                sha256:
                  type: string
              selfRequired: true
          required:
            - attestorId
            - responseDate
            - note
            - recordedAt
            - evidence
        status:
          type: string
          enum:
            - in_progress
            - submitted
            - not_viewed
            - viewed
        submittedAt:
          type:
            - string
            - 'null'
        decisions:
          type: object
          additionalProperties: true
      required:
        - offline
        - status
        - submittedAt
        - decisions

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.